Package org.jacoco.report.internal.xml

## Class XMLGroupVisitor

- java.lang.Object
- - org.jacoco.report.internal.AbstractGroupVisitor
  - - org.jacoco.report.internal.xml.XMLGroupVisitor

All Implemented Interfaces:
  `IReportGroupVisitor`

    public class XMLGroupVisitor
    extends AbstractGroupVisitor

A `IReportGroupVisitor` that transforms the report structure into XML elements.

### Field Summary

Fields
`protected ReportElement` `element` XML element of this group

### Fields inherited from class org.jacoco.report.internal.AbstractGroupVisitor

`total`

### Constructor Summary

Constructors
`XMLGroupVisitor​(ReportElement element, java.lang.String name)` New handler for a group with the given name.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `handleBundle​(IBundleCoverage bundle, ISourceFileLocator locator)` Called to handle the given bundle in a specific way.
`protected void` `handleEnd()` Called to handle the end of this group in a specific way.
`protected AbstractGroupVisitor` `handleGroup​(java.lang.String name)` Called to handle a group with the given name in a specific way.

### Methods inherited from class org.jacoco.report.internal.AbstractGroupVisitor

`visitBundle, visitEnd, visitGroup`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### element

    protected final ReportElement element

XML element of this group

### Constructor Detail

#### XMLGroupVisitor

    public XMLGroupVisitor​(ReportElement element,
                           java.lang.String name)
                    throws java.io.IOException

New handler for a group with the given name.

Parameters:
  `element` - XML-Element representing this coverage node. The start tag must not be closed yet to allow adding additional attributes.
  `name` - name of the group
Throws:
  `java.io.IOException` - in case of problems with the underlying writer

### Method Detail

#### handleBundle

    protected void handleBundle​(IBundleCoverage bundle,
                                ISourceFileLocator locator)
                         throws java.io.IOException

Description copied from class: `AbstractGroupVisitor`
Called to handle the given bundle in a specific way.

Specified by:
  `handleBundle` in class `AbstractGroupVisitor`
Parameters:
  `bundle` - analyzed bundle
  `locator` - source locator
Throws:
  `java.io.IOException` - if the report can't be written

#### handleGroup

    protected AbstractGroupVisitor handleGroup​(java.lang.String name)
                                        throws java.io.IOException

Description copied from class: `AbstractGroupVisitor`
Called to handle a group with the given name in a specific way.

Specified by:
  `handleGroup` in class `AbstractGroupVisitor`
Parameters:
  `name` - name of the group
Returns:
  created child group
Throws:
  `java.io.IOException` - if the report can't be written

#### handleEnd

    protected void handleEnd()
                      throws java.io.IOException

Description copied from class: `AbstractGroupVisitor`
Called to handle the end of this group in a specific way.

Specified by:
  `handleEnd` in class `AbstractGroupVisitor`
Throws:
  `java.io.IOException` - if the report can't be written